Bug 446461 - Upgrade bacula to last mainstream release: 2.2.8
Upgrade bacula to last mainstream release: 2.2.8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 13:36 EDT by Gabriele Turchi
Modified: 2008-09-15 13:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 13:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gabriele Turchi 2008-05-14 13:36:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.9b5) Gecko Fedora/2.22.1.1-1.fc9 Epiphany/2.22

Description of problem:
The mainstream bacula version is in 2.2 step from august, 2007. There is a reason not to upgrade to 2.2?

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. ...
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Christian Nolte 2008-06-05 12:32:46 EDT
Are there any news on an updated bacula package?
Comment 2 Jarod Wilson 2008-06-09 12:41:13 EDT
ABacula 2.4.0 just released a few days ago...
Comment 3 Jarod Wilson 2008-06-09 16:26:32 EDT
I have reason to believe a bacula 2.4.0 build should hit rawhide in the fairly
near future...
Comment 4 Jon Ciesla 2008-06-16 13:16:32 EDT
(In reply to comment #3)
> I have reason to believe a bacula 2.4.0 build should hit rawhide in the fairly
> near future...

reason to believe, or would like to see? If A.), great.  if B.), I'll consider
co-maintaining. 
Comment 5 Jarod Wilson 2008-06-16 13:40:30 EDT
Reason to believe. I hacked together a 2.4.0 rawhide build that I handed off to
Andreas, which should save him some time when rebasing. It was still in need of
some clean-up though.

nb: I'm not actually a maintainer on the package, just someone who had
need/desire to poke at it for a bit, but Andreas did express desire for a
co-maintainer on irc...
Comment 6 Jon Ciesla 2008-06-16 13:53:26 EDT
I see.  Well, I've made the request in pkgdb.  Once it's approved, I'd be more
than happy to take a look at what you've got.  Seems to me F-9 should move to
2.2.8, as perhaps should F-8, and 2.4.0 for rawhide. 
Objections/suggestions/discussion welcome.
Comment 7 Benny Amorsen 2008-07-15 04:06:25 EDT
The fairly near future does not seem to be arriving... It would be very nice if
Fedora wasn't 2 releases behind on Bacula. Jon Ciesla, you're still stuck in
"Awaiting review"?
Comment 8 Jon Ciesla 2008-07-15 08:06:18 EDT
True. 

I have absolutely no desire to initiate an AWOL Maintainer process, but I am a
bit baffled.  Andreas, would you be so kind as to approve my pkgdb request for
co-maintainership, so I can assist with some of the open bugs for Bacula?
Comment 9 Jon Ciesla 2008-07-25 11:02:07 EDT
FYI, I'm now a comaintainer, starting work on 2.2.8 and 2.4.1. . .
Comment 10 Jarod Wilson 2008-07-25 12:33:32 EDT
Its probably not 100% correct, and Andreas had some things he wanted to
integrate, but I have a working 2.4.1 build I've been using for the past month
and a half or so, which you're free to do with as you please if it helps, or
just ignore it, or whatever... :)

http://wilsonet.com/packages/bacula/bacula-2.4.1-1.src.rpm
Comment 11 Jon Ciesla 2008-07-25 12:43:15 EDT
Grabbed.  Thanks!  I'll at very least refer to it, if not rip it off outright. 
With credit given, naturally. :)
Comment 12 Jon Ciesla 2008-07-29 10:39:39 EDT
Testing my 2.2.8 build now.  If it looks good I'll build this for rawhide and
F-9 updates-testing, then build and test 2.4.1.

Sorry for the delay, my build machine is not the fastest. . .
Comment 13 Fedora Update System 2008-07-31 08:54:11 EDT
bacula-2.2.8-2.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-07-31 21:47:12 EDT
bacula-2.2.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6913
Comment 15 Fedora Update System 2008-08-07 19:59:52 EDT
bacula-2.2.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.